@ECHO OFF

ECHO Set Job value
SET JOBIDVAL=111
ECHO %JOBIDVAL%

TITLE Catalyst Script - %JOBIDVAL% - 01_FrenchJobIDs.bat
ECHO.
ECHO.
ECHO Catalyst Script - %JOBIDVAL% - 01_FrenchJobIDs.bat
ECHO ---------------------------------------
CD /D "%~dp0"
CALL SETPaths.bat

ECHO ========================================>>"%Log_fr%"
ECHO Started on  %Date% at: %Time% >>"%Log_fr%"
ECHO ========================================>>"%Log_fr%"

REM SET ezLog_fr=%Proj_Folder%\%Version_New%\ezScript_%JOBIDVAL%_FR.txt
SET ezLog_fr=%Proj_Folder%\%Version_New%\ezScript_%JOBIDVAL%_FR.log
IF EXIST "%ezLog_fr%" DEL "%ezLog_fr%"

"%CatalystEXE%" /StartJob /JobID:%JOBIDVAL% /write ezLogFile:"%ezLog_fr%"

ECHO.
ECHO Deleting/Moving existing files/folders
ECHO.

IF EXIST "%Proj_Folder%\%Version_Prev%\trash\FR_OnlineHelp.ttk" MOVE "%Proj_Folder%\%Version_Prev%\trash\FR_OnlineHelp.ttk" "%Proj_Folder%\%Version_Prev%\"
IF EXIST "%Proj_Folder%\%Version_Prev%\trash\FR_Software.ttk" MOVE "%Proj_Folder%\%Version_Prev%\trash\FR_Software.ttk" "%Proj_Folder%\%Version_Prev%\"
IF EXIST "%Proj_Folder%\%Version_Prev%\trash\FR_Web.ttk" MOVE "%Proj_Folder%\%Version_Prev%\trash\FR_Web.ttk" "%Proj_Folder%\%Version_Prev%\"

IF EXIST "%Proj_Folder%\%Version_New%\fr_copy\" RD "%Proj_Folder%\%Version_New%\fr_copy\" /s /q
IF EXIST "%Proj_Folder%\%Version_New%\fr_leveraged\" RD "%Proj_Folder%\%Version_New%\fr_leveraged\" /s /q
IF EXIST "%Proj_Folder%\%Version_New%\fr_lev_pseudo\" RD "%Proj_Folder%\%Version_New%\fr_lev_pseudo\" /s /q
IF EXIST "%Proj_Folder%\%Version_New%\fr_all_done\" RD "%Proj_Folder%\%Version_New%\fr_all_done\" /s /q
IF EXIST "%Proj_Folder%\%Version_New%\fr\" RD "%Proj_Folder%\%Version_New%\fr\" /S /Q

REM ********************************************************************
REM	Making the TMs through Cleanup
REM ********************************************************************

ECHO.
ECHO Cleaning up the Previous TTKs into Alchemy TMs
ECHO Cleaning French Files
ECHO.

ECHO   CleanUp Help
"%CatalystEXE%" /Cleanup Filename:"%Proj_Folder%\%Version_Prev%\FR_OnlineHelp.ttk" TM:"%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" Log:"%CleanupLog%" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
MOVE "%Proj_Folder%\%Version_Prev%\FR_OnlineHelp.ttk" "%Proj_Folder%\%Version_Prev%\trash"

ECHO   CleanUp Software
"%CatalystEXE%" /Cleanup Filename:"%Proj_Folder%\%Version_Prev%\FR_Software.ttk" TM:"%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" Log:"%CleanupLog%" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
MOVE "%Proj_Folder%\%Version_Prev%\FR_Software.ttk" "%Proj_Folder%\%Version_Prev%\trash"

ECHO   CleanUp Web
"%CatalystEXE%" /Cleanup Filename:"%Proj_Folder%\%Version_Prev%\FR_Web.ttk" TM:"%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" Log:"%CleanupLog%" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
MOVE "%Proj_Folder%\%Version_Prev%\FR_Web.ttk" "%Proj_Folder%\%Version_Prev%\trash"

REM ********************************************************************
REM	Making Language TTK files 
REM ********************************************************************

IF NOT EXIST "%Proj_Folder%\%Version_New%\fr_copy" MD "%Proj_Folder%\%Version_New%\fr_copy"

ECHO.
ECHO Creating Template TTK files from specific folders: Software, OnlineHelp, Web.
ECHO.

ECHO   Help
"%CatalystEXE%" /M "%USERNAME%" TTKName:"%Proj_Folder%\%Version_New%\fr_copy\9_0_OnlineHelp.ttk" FromFolder:"%Proj_Folder%\%Version_New%\SourceFiles\OnlineHelp" HHPFile:"%Proj_Folder%\%Version_New%\SourceFiles\Vortex Demo.hhp" SourceLang:"English (United States)" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /M "%USERNAME%" TTKName:"%Proj_Folder%\%Version_New%\fr_copy\9_0_Software.ttk" FromFolder:"%Proj_Folder%\%Version_New%\SourceFiles\Application" SourceLang:"English (United States)" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /M "%USERNAME%" TTKName:"%Proj_Folder%\%Version_New%\fr_copy\9_0_Web.ttk" FromFolder:"%Proj_Folder%\%Version_New%\SourceFiles\WWW" SourceLang:"English (United States)" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%

REM ********************************************************************
REM	Setting the Target Language in the TTK
REM ********************************************************************

ECHO.
ECHO Setting the French TTK Language
ECHO.

ECHO   Help
"%CatalystEXE%" /P "%Proj_Folder%\%Version_New%\fr_copy\9_0_OnlineHelp.ttk" TargetLang:"French" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /P "%Proj_Folder%\%Version_New%\fr_copy\9_0_Software.ttk" TargetLang:"French" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /P "%Proj_Folder%\%Version_New%\fr_copy\9_0_Web.ttk" TargetLang:"French" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
RENAME "%Proj_Folder%\%Version_New%\fr_copy" fr

REM ********************************************************************
REM	Leveraging the TTK from the Cleaned Up AlchemyTM TM file
REM ********************************************************************

ECHO.
ECHO Leveraging the Language TTKs from the CleanedUp AlchemyTM File
ECHO.

ECHO   Help
"%CatalystEXE%" /L "%USERNAME%" "%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" "%Proj_Folder%\%Version_New%\fr\9_0_OnlineHelp.ttk" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /L "%USERNAME%" "%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" "%Proj_Folder%\%Version_New%\fr\9_0_Software.ttk" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /L "%USERNAME%" "%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" "%Proj_Folder%\%Version_New%\fr\9_0_Web.ttk" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
RENAME "%Proj_Folder%\%Version_New%\fr" fr_leveraged

REM ********************************************************************
REM	PseudoTranslate the remainder of the TTK (new / modified  strings)
REM ********************************************************************

ECHO.
ECHO PseudoTranslate the remainder of the TTK (new / modified  strings)
ECHO.

ECHO  PseudoTranslating French - Load French Settings [_fr_]
"%CatalystEXE%" /C "%INIFilePath%\Pseudo_Settings_FR.ini" /LOAD ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Help
"%CatalystEXE%" /O "%USERNAME%" "%Proj_Folder%\%Version_New%\fr_leveraged\9_0_OnlineHelp.ttk" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /O "%USERNAME%" "%Proj_Folder%\%Version_New%\fr_leveraged\9_0_Software.ttk" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /O "%USERNAME%" "%Proj_Folder%\%Version_New%\fr_leveraged\9_0_Web.ttk" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
RENAME "%Proj_Folder%\%Version_New%\fr_leveraged" fr_lev_pseudo

REM ********************************************************************
REM	Validating the TTK files
REM ********************************************************************

ECHO.
ECHO Validating the TTK files
ECHO.

"%CatalystEXE%" /C "%INIFilePath%\Validation_Settings.ini" /LOAD ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%

ECHO Create Report Folders
IF NOT EXIST "%Proj_Folder%\%Version_New%\Reports\fr" MD "%Proj_Folder%\%Version_New%\Reports\fr"

ECHO Validating French
ECHO   Help
"%CatalystEXE%" /V TTKName:"%Proj_Folder%\%Version_New%\fr_lev_pseudo\9_0_OnlineHelp.ttk" ReportName:"%Proj_Folder%\%Version_New%\Reports\fr\9_0_OnlineHelp.xml" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /V TTKName:"%Proj_Folder%\%Version_New%\fr_lev_pseudo\9_0_Software.ttk" ReportName:"%Proj_Folder%\%Version_New%\Reports\fr\9_0_Software.xml" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /V TTKName:"%Proj_Folder%\%Version_New%\fr_lev_pseudo\9_0_Web.ttk" ReportName:"%Proj_Folder%\%Version_New%\Reports\fr\9_0_Web.xml" ezLogFile:"%ezLog_fr%" /JobID:%JOBIDVAL%
RENAME "%Proj_Folder%\%Version_New%\fr_lev_pseudo" fr_all_done

ECHO ========================================>>"%Log_fr%"
ECHO Finished on %Date% at: %Time% >>"%Log_fr%"
ECHO ========================================>>"%Log_fr%"

"%CatalystEXE%" /EndJob /JobID:%JOBIDVAL% /write ezLogFile:"%ezLog_fr%" 
