@ECHO OFF

ECHO Set Job value
SET JOBIDVAL=222
ECHO %JOBIDVAL%

TITLE Catalyst Script - %JOBIDVAL% - 02_ItalianJobIDs.bat
ECHO.
ECHO.
ECHO Catalyst Script - %JOBIDVAL% - 02_ItalianJobIDs.bat
ECHO ---------------------------------------
CD /D "%~dp0"
CALL SETPaths.bat

ECHO ========================================>>"%Log_it%"
ECHO Started on  %Date% at: %Time% >>"%Log_it%"
ECHO ========================================>>"%Log_it%"

REM SET ezLog_it=%Proj_Folder%\%Version_New%\ezScript_%JOBIDVAL%_IT.txt
SET ezLog_it=%Proj_Folder%\%Version_New%\ezScript_%JOBIDVAL%_IT.log
IF EXIST "%ezLog_it%" DEL "%ezLog_it%"

"%CatalystEXE%" /StartJob /JobID:%JOBIDVAL% /write ezLogFile:"%ezLog_it%" 

ECHO.
ECHO Deleting/Moving existing files/folders
ECHO.

IF EXIST "%Proj_Folder%\%Version_Prev%\trash\IT_OnlineHelp.ttk" MOVE "%Proj_Folder%\%Version_Prev%\trash\IT_OnlineHelp.ttk" "%Proj_Folder%\%Version_Prev%\"
IF EXIST "%Proj_Folder%\%Version_Prev%\trash\IT_Software.ttk" MOVE "%Proj_Folder%\%Version_Prev%\trash\IT_Software.ttk" "%Proj_Folder%\%Version_Prev%\"
IF EXIST "%Proj_Folder%\%Version_Prev%\trash\IT_Web.ttk" MOVE "%Proj_Folder%\%Version_Prev%\trash\IT_Web.ttk" "%Proj_Folder%\%Version_Prev%\"

IF EXIST "%Proj_Folder%\%Version_New%\it_copy\" RD "%Proj_Folder%\%Version_New%\it_copy\" /s /q
IF EXIST "%Proj_Folder%\%Version_New%\it_leveraged\" RD "%Proj_Folder%\%Version_New%\it_leveraged\" /s /q
IF EXIST "%Proj_Folder%\%Version_New%\it_lev_pseudo\" RD "%Proj_Folder%\%Version_New%\it_lev_pseudo\" /s /q
IF EXIST "%Proj_Folder%\%Version_New%\it_all_done\" RD "%Proj_Folder%\%Version_New%\it_all_done\" /s /q
IF EXIST "%Proj_Folder%\%Version_New%\it\" RD "%Proj_Folder%\%Version_New%\it\" /S /Q

REM ********************************************************************
REM	Making the TMs through Cleanup
REM ********************************************************************

ECHO.
ECHO Cleaning up the Previous TTKs into Alchemy TMs
ECHO Cleaning Italian Files
ECHO.

ECHO   CleanUp Help
"%CatalystEXE%" /Cleanup Filename:"%Proj_Folder%\%Version_Prev%\IT_OnlineHelp.ttk" TM:"%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" Log:"%CleanupLog%" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL% 
MOVE "%Proj_Folder%\%Version_Prev%\IT_OnlineHelp.ttk" "%Proj_Folder%\%Version_Prev%\trash"

ECHO   CleanUp Software
"%CatalystEXE%" /Cleanup Filename:"%Proj_Folder%\%Version_Prev%\IT_Software.ttk" TM:"%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" Log:"%CleanupLog%"  ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
MOVE "%Proj_Folder%\%Version_Prev%\IT_Software.ttk" "%Proj_Folder%\%Version_Prev%\trash"

ECHO   CleanUp Web
"%CatalystEXE%" /Cleanup Filename:"%Proj_Folder%\%Version_Prev%\IT_Web.ttk" TM:"%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" Log:"%CleanupLog%"  ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
MOVE "%Proj_Folder%\%Version_Prev%\IT_Web.ttk" "%Proj_Folder%\%Version_Prev%\trash"

REM ********************************************************************
REM	Making Language TTK files 
REM ********************************************************************

IF NOT EXIST "%Proj_Folder%\%Version_New%\it_copy" MD "%Proj_Folder%\%Version_New%\it_copy"

ECHO.
ECHO Creating Template TTK files from specific folders: Software, OnlineHelp, Web.
ECHO.

ECHO   Help
"%CatalystEXE%" /M "%USERNAME%" TTKName:"%Proj_Folder%\%Version_New%\it_copy\9_0_OnlineHelp.ttk" FromFolder:"%Proj_Folder%\%Version_New%\SourceFiles\OnlineHelp" HHPFile:"%Proj_Folder%\%Version_New%\SourceFiles\Vortex Demo.hhp" SourceLang:"English (United States)" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /M "%USERNAME%" TTKName:"%Proj_Folder%\%Version_New%\it_copy\9_0_Software.ttk" FromFolder:"%Proj_Folder%\%Version_New%\SourceFiles\Application" SourceLang:"English (United States)" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /M "%USERNAME%" TTKName:"%Proj_Folder%\%Version_New%\it_copy\9_0_Web.ttk" FromFolder:"%Proj_Folder%\%Version_New%\SourceFiles\WWW" SourceLang:"English (United States)" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%

REM ********************************************************************
REM	Setting the Target Language in the TTK
REM ********************************************************************

ECHO.
ECHO Setting the Italian TTK Language
ECHO.

ECHO   Help
"%CatalystEXE%" /P "%Proj_Folder%\%Version_New%\it_copy\9_0_OnlineHelp.ttk" TargetLang:"Italian" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /P "%Proj_Folder%\%Version_New%\it_copy\9_0_Software.ttk" TargetLang:"Italian" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /P "%Proj_Folder%\%Version_New%\it_copy\9_0_Web.ttk" TargetLang:"Italian" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
RENAME "%Proj_Folder%\%Version_New%\it_copy" it

REM ********************************************************************
REM	Leveraging the TTK from the Cleaned Up AlchemyTM TM file
REM ********************************************************************

ECHO.
ECHO Leveraging the Language TTKs from the CleanedUp AlchemyTM File
ECHO.

ECHO   Help
"%CatalystEXE%" /L "%USERNAME%" "%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" "%Proj_Folder%\%Version_New%\it\9_0_OnlineHelp.ttk" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /L "%USERNAME%" "%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" "%Proj_Folder%\%Version_New%\it\9_0_Software.ttk" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /L "%USERNAME%" "%Proj_Folder%\%Version_Prev%\ezScriptTM.tm" "%Proj_Folder%\%Version_New%\it\9_0_Web.ttk" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
RENAME "%Proj_Folder%\%Version_New%\it" it_leveraged

REM ********************************************************************
REM	PseudoTranslate the remainder of the TTK (new / modified  strings)
REM ********************************************************************

ECHO.
ECHO PseudoTranslate the remainder of the TTK (new / modified  strings)
ECHO.

ECHO PseudoTranslating Italian - Load Italian Settings [_it_]
"%CatalystEXE%" /C "%INIFilePath%\Pseudo_Settings_IT.ini" /LOAD ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Help
"%CatalystEXE%" /O "%USERNAME%" "%Proj_Folder%\%Version_New%\it_leveraged\9_0_OnlineHelp.ttk" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /O "%USERNAME%" "%Proj_Folder%\%Version_New%\it_leveraged\9_0_Software.ttk" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /O "%USERNAME%" "%Proj_Folder%\%Version_New%\it_leveraged\9_0_Web.ttk" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
RENAME "%Proj_Folder%\%Version_New%\it_leveraged" it_lev_pseudo

REM ********************************************************************
REM	Validating the TTK files
REM ********************************************************************

ECHO.
ECHO Validating the TTK files
ECHO.

"%CatalystEXE%" /C "%INIFilePath%\Validation_Settings.ini" /LOAD ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%

ECHO Create Report Folders
IF NOT EXIST "%Proj_Folder%\%Version_New%\Reports\it" MD "%Proj_Folder%\%Version_New%\Reports\it"

ECHO Validating Italian				
ECHO   Help
"%CatalystEXE%" /V TTKName:"%Proj_Folder%\%Version_New%\it_lev_pseudo\9_0_OnlineHelp.ttk" ReportName:"%Proj_Folder%\%Version_New%\Reports\it\9_0_OnlineHelp.xml" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Software
"%CatalystEXE%" /V TTKName:"%Proj_Folder%\%Version_New%\it_lev_pseudo\9_0_Software.ttk" ReportName:"%Proj_Folder%\%Version_New%\Reports\it\9_0_Software.xml" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
ECHO   Web
"%CatalystEXE%" /V TTKName:"%Proj_Folder%\%Version_New%\it_lev_pseudo\9_0_Web.ttk" ReportName:"%Proj_Folder%\%Version_New%\Reports\it\9_0_Web.xml" ezLogFile:"%ezLog_it%" /JobID:%JOBIDVAL%
RENAME "%Proj_Folder%\%Version_New%\it_lev_pseudo" it_all_done

ECHO ========================================>>"%Log_it%"
ECHO Finished on %Date% at: %Time% >>"%Log_it%"
ECHO ========================================>>"%Log_it%"

"%CatalystEXE%" /EndJob /JobID:%JOBIDVAL% /write ezLogFile:"%ezLog_it%" 
